Subject: Taphrina Deformans

From: [email-masked] (Phil Whitehead)
Date: 3 Nov 1995 12:12:48 GMT

A little thread has bee running in rec. gardens regarding peach leaf curl.
My own experiences(in the UK) of this pathogen have been of mild attacks
which have been no more than a inconvenience. Even trees lining the  steet
which  have been affected to a greater extent have not appeared to have
suffered inordinate damage.
On the other side of the pond however attacks seem to be far more virulent
and damaging which raises the question are there differences in
pathogenicty between the strains of taphrina present in the UK and US.
Is this the case ? has anybody looked? 
 Any thoughts from the plant path fraternity would be appreciated

phil whitehead